From 1e999a70c29695e3658f905406c3d6abc744a622 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 18 Aug 2026 05:12:51 +0000
Subject: [PATCH] dhcpcd: upgrade 10.5.0 -> 10.5.2

7c50b51a Release dhcpcd-10.5.2
c8887d0d IPv6: Allocate the interface state before adding a static address
03091088 Fix build
2bb381e9 Release dhcpcd-10.5.1
b19746fd configure: Generate .clangd
23b6790d privsep: Fix capsicum support on the control socket
a14857d1 privsep: re-enable capsicum and pledge
50857dd2 hooks: Document that new_delegated_dhcp6_prefix contains addresses
f6dabfe2 control: Harden the socket the the fs level
97b50d2e Improve the IDE experience
9cd9d2df DHCP: script reason should be RELEASE on RELEASE, not STOP
79936c28 linux: workaround a gcc compile warning issue
dfaaa5ea remove accidental debug
737091d2 ipv4: clear added state if we didn't delete the address
b83fe28c compat: define __STDC_WANT_LIB_EXT1__ 1 before including config
0c1f4074 ipv6nd: don't leave a carrier expiry timeout on a freed interface
fadc4ed6 compat: call setprogname during early init
7c87dfdf privsep: Allow __NR__llseek as well as __NR_llseek on linux
8d499db1 route: keep acquisition timestamp when matched route isn't updated
c5605040 DHCP6: Mirror the prior DHCP rapid commit fix to DHCPv6
0406dd87 DHCP: Only send the rapid commit option when configured to
eb9fd7df control: Fix non privsep builds
---
 .../dhcpcd/{dhcpcd_10.5.0.bb => dhcpcd_10.5.2.bb}             | 2 +-
 ...20-resolv.conf-improve-the-sitation-of-working-with-.patch | 2 +-
 ...001-dhcpcd.8-Fix-conflict-error-when-enable-multilib.patch | 2 +-
 .../0001-remove-INCLUDEDIR-to-prevent-build-issues.patch      | 4 ++--
 4 files changed, 5 insertions(+), 5 deletions(-)
 rename meta/recipes-connectivity/dhcpcd/{dhcpcd_10.5.0.bb => dhcpcd_10.5.2.bb} (97%)

diff --git a/meta/recipes-connectivity/dhcpcd/dhcpcd_10.5.0.bb b/meta/recipes-connectivity/dhcpcd/dhcpcd_10.5.2.bb
similarity index 97%
rename from meta/recipes-connectivity/dhcpcd/dhcpcd_10.5.0.bb
rename to meta/recipes-connectivity/dhcpcd/dhcpcd_10.5.2.bb
index 73f55969cd..d8017693e7 100644
--- a/meta/recipes-connectivity/dhcpcd/dhcpcd_10.5.0.bb
+++ b/meta/recipes-connectivity/dhcpcd/dhcpcd_10.5.2.bb
@@ -17,7 +17,7 @@ SRC_URI = "git://github.com/NetworkConfiguration/dhcpcd;protocol=https;branch=ma
            file://0001-dhcpcd.8-Fix-conflict-error-when-enable-multilib.patch \
            "
 
-SRCREV = "1d608519abb398006b77f11c7b720147adf4cfcc"
+SRCREV = "7c50b51a142ca5e8cbbf8f65cd8111d6f200608a"
 
 # Doesn't use automake so we can't do out-of-tree builds
 inherit pkgconfig autotools-brokensep systemd useradd
diff --git a/meta/recipes-connectivity/dhcpcd/files/0001-20-resolv.conf-improve-the-sitation-of-working-with-.patch b/meta/recipes-connectivity/dhcpcd/files/0001-20-resolv.conf-improve-the-sitation-of-working-with-.patch
index 04c1d92897..e5483c747d 100644
--- a/meta/recipes-connectivity/dhcpcd/files/0001-20-resolv.conf-improve-the-sitation-of-working-with-.patch
+++ b/meta/recipes-connectivity/dhcpcd/files/0001-20-resolv.conf-improve-the-sitation-of-working-with-.patch
@@ -1,4 +1,4 @@
-From a3e397d3764fdb779e2f995b690ba365956612f5 Mon Sep 17 00:00:00 2001
+From 5f9b3c4aa7965cf9edf7d6adc8626f50462ad979 Mon Sep 17 00:00:00 2001
 From: Chen Qi <Qi.Chen@windriver.com>
 Date: Wed, 9 Nov 2022 16:33:18 +0800
 Subject: [PATCH] 20-resolv.conf: improve the sitation of working with systemd
diff --git a/meta/recipes-connectivity/dhcpcd/files/0001-dhcpcd.8-Fix-conflict-error-when-enable-multilib.patch b/meta/recipes-connectivity/dhcpcd/files/0001-dhcpcd.8-Fix-conflict-error-when-enable-multilib.patch
index c2afb83b54..17d5685334 100644
--- a/meta/recipes-connectivity/dhcpcd/files/0001-dhcpcd.8-Fix-conflict-error-when-enable-multilib.patch
+++ b/meta/recipes-connectivity/dhcpcd/files/0001-dhcpcd.8-Fix-conflict-error-when-enable-multilib.patch
@@ -1,4 +1,4 @@
-From d3e517be04e660d72233cde91b44c3cf705126e2 Mon Sep 17 00:00:00 2001
+From e9b462a5b3fe875effc05a246948533da1c5baaf Mon Sep 17 00:00:00 2001
 From: Lei Maohui <leimaohui@fujitsu.com>
 Date: Fri, 10 Mar 2023 03:48:46 +0000
 Subject: [PATCH] dhcpcd.8: Fix conflict error when enable multilib.
diff --git a/meta/recipes-connectivity/dhcpcd/files/0001-remove-INCLUDEDIR-to-prevent-build-issues.patch b/meta/recipes-connectivity/dhcpcd/files/0001-remove-INCLUDEDIR-to-prevent-build-issues.patch
index 69ebc6026f..ed412c3d94 100644
--- a/meta/recipes-connectivity/dhcpcd/files/0001-remove-INCLUDEDIR-to-prevent-build-issues.patch
+++ b/meta/recipes-connectivity/dhcpcd/files/0001-remove-INCLUDEDIR-to-prevent-build-issues.patch
@@ -1,4 +1,4 @@
-From 278ef78e007ab74c701961e108262d9d733a3975 Mon Sep 17 00:00:00 2001
+From ab9ae52e0b7cf53266c99fd00d23d9c2f9cb308e Mon Sep 17 00:00:00 2001
 From: Stefano Cappa <stefano.cappa.ks89@gmail.com>
 Date: Sun, 13 Jan 2019 01:50:52 +0100
 Subject: [PATCH] remove INCLUDEDIR to prevent build issues
@@ -11,7 +11,7 @@ Signed-off-by: Stefano Cappa <stefano.cappa.ks89@gmail.com>
  1 file changed, 5 deletions(-)
 
 diff --git a/configure b/configure
-index 32bf96ef..ab4aa901 100755
+index 43a40a7d..71707073 100755
 --- a/configure
 +++ b/configure
 @@ -29,7 +29,6 @@ BUILD=
-- 
2.47.1

